Open SCAP Library: oval_result_criteria_node Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
oval_result_criteria_node Struct Reference
OVAL » OVALRES

## Public Member Functions
struct oval_result_criteria_node * | oval_result_criteria_node_new (struct oval_result_system *, oval_criteria_node_type_t, int, int,...)
struct oval_result_criteria_node * | oval_result_criteria_node_clone (struct oval_result_system *new_system, struct oval_result_criteria_node *old_node)
void | oval_result_criteria_node_free (struct oval_result_criteria_node *)
Setters
void | oval_result_criteria_node_set_result (struct oval_result_criteria_node *, oval_result_t)
void | oval_result_criteria_node_set_negate (struct oval_result_criteria_node *, bool)
void | oval_result_criteria_node_set_applicability_check (struct oval_result_criteria_node *, bool)
void | oval_result_criteria_node_set_operator (struct oval_result_criteria_node *, oval_operator_t)
void | oval_result_criteria_node_add_subnode (struct oval_result_criteria_node *, struct oval_result_criteria_node *)
void | oval_result_criteria_node_set_test (struct oval_result_criteria_node *, struct oval_result_test *)
void | oval_result_criteria_node_set_extends (struct oval_result_criteria_node *, struct oval_result_definition *)
Getters
oval_result_t | oval_result_criteria_node_eval (struct oval_result_criteria_node *)
oval_result_t | oval_result_criteria_node_get_result (struct oval_result_criteria_node *)
bool | oval_result_criteria_node_get_negate (struct oval_result_criteria_node *)
bool | oval_result_criteria_node_get_applicability_check (struct oval_result_criteria_node *)
oval_operator_t | oval_result_criteria_node_get_operator (struct oval_result_criteria_node *)
struct oval_result_criteria_node_iterator * | oval_result_criteria_node_get_subnodes (struct oval_result_criteria_node *)
struct oval_result_test * | oval_result_criteria_node_get_test (struct oval_result_criteria_node *)
struct oval_result_definition * | oval_result_criteria_node_get_extends (struct oval_result_criteria_node *)

## Data Fields
struct oval_result_system * | sys
oval_criteria_node_type_t | type
oval_result_t | result
int | negate
int | applicability_check

The documentation for this struct was generated from the following files:

- oval_resultCriteriaNode.c
- oval_results.h